<html>
    <head>
        <title>Deitel - Exercise 5.14 - JS Implementation</title>
        <style type="text/css">
            table {
                font-family: arial, sans-serif;
                border-collapse: separate;
                width: 100%;
                height: 600px;
            }

            td, th {
                border: 2px solid #dddddd;
                text-align: left;
                padding: 10px;
            }

            tr:nth-child(even) {
                background-color: #dddddd;
            }

            .textboxclass {
                height: 30px;
                width: 0px;
            }
        </style>
    </head>
    <body bgcolor="#809966"> 
        <center><h1><i>Deitel - Exercise 5.14 - JS Implementation</i></h1></center>
        <br />
        <center><div><button type='button' onclick=calculateTotal()>Submit</button></div></center>
        <center><div id="total"></div></center>   
        <script type="text/javascript">
            function calculateTotal() {
                var total = 0;
                for (var day = 1; day <= 7; ++day){
                    for (var product = 1; product <= 5; ++product){
                        var nameID = '' + day + '.' + product;
                        var count = document.getElementById(nameID).value;
                        if (isNaN(count) || count < 0){
                            alert("Error 1: You should input only non-negative numbers (Day " + day + ", Product " + product +")");
                            return 1;
                        } 

                        switch (product){
                        case 1: total += 2.98 * count; break;                                       
                        case 2: total += 4.50 * count; break;                      
                        case 3: total += 9.98 * count; break;                       
                        case 4: total += 4.49 * count; break;                       
                        case 5: total += 6.87 * count; break;                       
                        }
                    }
                }
                document.getElementById("total").innerHTML = '<h3>' + "Total: " + total + '</h3>';
            }

            function createInputsTabel() {
                document.write('<center>' + '<table>' + '<tr>' + '<th>' + '</th>');
                for (var product = 1; product <= 5; ++product){
                    document.write('<th>' + "The " + product + " product " + '</th>');
                }

                document.write('</tr>');
                for (var day = 1; day <= 7; ++day){
                    document.write('<tr>' + '<th>' + "The " + day + " day " + '</th>');
                    for (var input = 1; input <= 5; ++input){
                        var nameID = '' + day + '.' + input;
                        document.write('<th>' + '<input id='+nameID+'>' + '</th>');          
                    }   
                }

                document.write('</tr>' + '</table>' + '</center>');
            }

            createInputsTabel();
            
        </script>
    </body>
</html> 
